CXml (GIS Viewer Widget 3.5.0-SNAPSHOT API)
Date: 2014-09-04

org.gcube.portlets.user.gisviewer.server.datafeature

## Class CXml

- java.lang.Object
- - org.gcube.portlets.user.gisviewer.server.datafeature.CXml

-     public class CXml
      extends Object

  Class CXml - Ceras XML With Ceras XML, XML manipulation is easy!
  Author:
    Ceras

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CXml()`
    `CXml(Document doc)`
    `CXml(Document doc, String tagName)`
    `CXml(Document doc, String tagName, String text)`
    `CXml(Element e)`
    `CXml(List<Element> elements)`
    `CXml(String xml)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `append(CXml cXml)`
    `void` | `appendTo(CXml cXml)`
    `String` | `attr(String name)`
    `void` | `attr(String name, int value)`
    `void` | `attr(String name, String value)`
    `CXml` | `child(String tagName)`
    `CXml` | `children()`
    `CXml` | `children(String tagName)`
    `void` | `each(CXmlManager manager)`
    `CXml` | `find(String tagName)`
    `CXml` | `findFirst(String tagName)`
    `String` | `getAttr(String name)`
    `static Document` | `getDocument(String xml)`
    `static Document` | `getNewDocument()`
    `String` | `getText()`
    `boolean` | `isDocument()`
    `boolean` | `isElement()`
    `boolean` | `isElements()`
    `boolean` | `isNull()`
    `static void` | `main(String[] args)`
    `void` | `removeChildren()`
    `void` | `setText(String text)`
    `String` | `tagName()`
    `String` | `text()`
    `void` | `text(String text)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CXml

          public CXml(Document doc,
              String tagName)

    - #### CXml

          public CXml(Document doc,
              String tagName,
              String text)

    - #### CXml

          public CXml(Document doc)

      Parameters:
        `doc` -

    - #### CXml

          public CXml(Element e)

    - #### CXml

          public CXml(List<Element> elements)

    - #### CXml

          public CXml()

    - #### CXml

          public CXml(String xml)

      Parameters:
        `xml` -

  - ### Method Detail

    - #### tagName

          public String tagName()

    - #### attr

          public void attr(String name,
                  String value)

    - #### attr

          public void attr(String name,
                  int value)

    - #### attr

          public String attr(String name)

    - #### getAttr

          public String getAttr(String name)

    - #### text

          public void text(String text)

    - #### setText

          public void setText(String text)

    - #### text

          public String text()

    - #### getText

          public String getText()

    - #### append

          public void append(CXml cXml)

    - #### appendTo

          public void appendTo(CXml cXml)

    - #### removeChildren

          public void removeChildren()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### each

          public void each(CXmlManager manager)

    - #### getNewDocument

          public static Document getNewDocument()

    - #### getDocument

          public static Document getDocument(String xml)

    - #### find

          public CXml find(String tagName)

      Parameters:
        `string` -
      Returns:

    - #### findFirst

          public CXml findFirst(String tagName)

      Parameters:
        `string` -
      Returns:

    - #### children

          public CXml children()

      Parameters:
        `string` -
      Returns:
        all children CXml nodes

    - #### children

          public CXml children(String tagName)

      Parameters:
        `string` -
      Returns:

    - #### child

          public CXml child(String tagName)

    - #### isNull

          public boolean isNull()

    - #### isDocument

          public boolean isDocument()

    - #### isElement

          public boolean isElement()

    - #### isElements

          public boolean isElements()

    - #### main

          public static void main(String[] args)

      Parameters:
        `args` -

Copyright © 2014. All Rights Reserved.